Skip to main content
Identity & Access/Credentials

ExportAuditLogs

Export all matching credential audit logs as a full dataset for compliance or analysis.

GET/api/v1/credential-audit/export

Operation ID

ExportAuditLogs

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • credentialUuid
    String

    UUID of the credential whose audit logs should be exported.

  • action
    String

    Filter exported logs by action type (e.g. CREATE, REVEAL).

  • operator
    String

    Filter exported logs by the operator account.

  • since
    String

    Export only audit logs created after this timestamp.

  • until
    String

    Export only audit logs created before this timestamp.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    Full list of audit log entries for the export.

    Example: (nested array)

    • uuid
      String

      Unique identifier of this audit log entry.

      Example: log-00112233-4455-6677-8899-aabbccddeeff

    • credentialUuid
      String

      UUID of the credential that this log entry relates to.

      Example: cred-a1b2c3d4-e5f6-7890-abcd-ef1234567890

    • credentialName
      String

      Name of the credential at the time the operation was performed.

      Example: prod-db-password

    • action
      String

      Type of action performed (e.g. CREATE, UPDATE, DELETE, REVEAL).

      Example: REVEAL

    • operator
      String

      Account or principal that performed the action.

      Example: ops@example.com

    • details
      String

      Additional contextual details about the operation.

      Example: Revealed by automation pipeline for deployment job #42

    • createDate
      String

      Timestamp when this audit log entry was created.

      Example: 2026-01-15T08:00:00Z